package com.bocloud.nms.model.campus;

import java.util.List;

public class DeviceGroupModel {

    private Long id; // 设备分组ID。
    private String name; // 设备分组名称。
    private String description; // 设备分组描述。
    private Integer addDevOption; // 自动加入新增设备选项。0：不加入；1：加入任何新增设备；2：加入指定网段内的新增设备。
    private String ipScope; // 已设置的网段。
    private List<String > operator; // 可以管理本分组的操作员URI
    private List<String > device; // 加入到本分组的设备URI

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getAddDevOption() {
        return addDevOption;
    }

    public void setAddDevOption(Integer addDevOption) {
        this.addDevOption = addDevOption;
    }

    public String getIpScope() {
        return ipScope;
    }

    public void setIpScope(String ipScope) {
        this.ipScope = ipScope;
    }

    public List<String> getDevice() {
        return device;
    }

    public void setDevice(List<String> device) {
        this.device = device;
    }

    public List<String> getOperator() {
        return operator;
    }

    public void setOperator(List<String> operator) {
        this.operator = operator;
    }
}
